#****************************************************************************
#**
#**  File     :  /cdimage/units/UAB1101/UAB1101_script.lua
#**  Author(s):  David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Aeon Power Generator Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
local AEnergyCreationUnit = import('/lua/aeonunits.lua').AEnergyCreationUnit
local AShieldStructureUnit = import('/lua/aeonunits.lua').AShieldStructureUnit

DAD1101 = Class(AEnergyCreationUnit) {
    AmbientEffects = 'AT1PowerAmbient',

    ShieldEffects = {
        '/effects/emitters/aeon_shield_generator_t2_01_emit.bp',
        '/effects/emitters/aeon_shield_generator_t2_02_emit.bp',
        '/effects/emitters/aeon_shield_generator_t3_03_emit.bp',
        '/effects/emitters/aeon_shield_generator_t3_04_emit.bp',
    },
    
}

TypeClass = DAD1101